DefaultXMLEncoder (Axis API)
Keywords: org.apache.axis.components.encoding.DefaultXMLEncoder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.encoding
Class DefaultXMLEncoder

    java.lang.Object
      org.apache.axis.components.encoding.AbstractXMLEncoder
          org.apache.axis.components.encoding.UTF8Encoder
              org.apache.axis.components.encoding.DefaultXMLEncoder

All Implemented Interfaces:
  XMLEncoder

public class DefaultXMLEncoder
extends org.apache.axis.components.encoding.UTF8Encoder

Field Summary

Fields inherited from class org.apache.axis.components.encoding.AbstractXMLEncoder
`AMP, CR, GREATER, LESS, LF, QUOTE, TAB`

Constructor Summary
`DefaultXMLEncoder(java.lang.String encoding)`

Method Summary
`java.lang.String` | `getEncoding()` gets the encoding supported by this encoder
`void` | `writeEncoded(java.io.Writer writer, java.lang.String xmlString)` write the encoded version of a given string

Methods inherited from class org.apache.axis.components.encoding.AbstractXMLEncoder
`encode, getInitialByteArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultXMLEncoder

    public DefaultXMLEncoder(java.lang.String encoding)

Method Detail

### getEncoding

    public java.lang.String getEncoding()

  gets the encoding supported by this encoder

  Returns:
    string

### writeEncoded

    public void writeEncoded(java.io.Writer writer,
                             java.lang.String xmlString)
                      throws java.io.IOException

  write the encoded version of a given string

  Parameters:
    `writer` - writer to write this string to
    `xmlString` - string to be encoded
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.